import { IBigNumber } from '../shared/types.js';
/**
 * Ensures the provided decimal places are acceptable.
 * @param decimalPlaces
 * @throws
 * - INVALID_DECIMAL_PLACES: if decimalPlaces is not a number or it is outside of the 0 - 100 range
 */
declare const validateDecimalPlaces: (decimalPlaces: number) => void;
/**
 * Ensures the provided values sequence is a valid array.
 * @param values
 * @param calculationName
 * @throws
 * - INVALID_VALUES_ARRAY: if values is not a valid array
 */
declare const validateValuesArray: (values: any[], calculationName: string) => void;
/**
 * Ensures the provided value is positive.
 * @param value
 * @param allowZero?
 * @throws
 * - NEGATIVE_VALUE_NOT_ALLOWED: if the value is not positive
 */
declare const validatePositiveValue: (value: IBigNumber, allowZero?: boolean) => void;
export { validateDecimalPlaces, validateValuesArray, validatePositiveValue, };
