import{BigNumber}from"bignumber.js";import{encodeError,extractMessage,isEncodedError}from"error-message-utils";import{ERRORS}from"./shared/errors.js";import{validateValuesArray,validatePositiveValue}from"./validations/validations.js";import{buildInvalidValueErrorMessage,buildConfig,roundBigNumber,convertBigNumberToType,buildFormatConfig,sortBigNumbers}from"./utils/utils.js";BigNumber.config({EXPONENTIAL_AT:1e9});const getBigNumber=e=>{try{const r=BigNumber.isBigNumber(e)?e:BigNumber(e);if(r.isNaN())throw new Error(buildInvalidValueErrorMessage(e));return r}catch(r){if(isEncodedError(r))throw r;throw new Error(buildInvalidValueErrorMessage(e,r))}},processValue=(e,r)=>{const a=buildConfig(r),t=roundBigNumber(getBigNumber(e),a.decimalPlaces,a.roundingMode);return convertBigNumberToType(t,a.type)},prettifyValue=(e,r={})=>{try{return processValue(e,{...r.processing,type:"bignumber"}).toFormat(buildFormatConfig(r.format))}catch(e){if(isEncodedError(e))throw e;throw new Error(encodeError(extractMessage(e),ERRORS.INVALID_BIGNUMBER_FORMAT))}},isBigNumber=e=>BigNumber.isBigNumber(e),isNumber=e=>{try{return getBigNumber(e),!0}catch(e){return!1}},isInteger=e=>{try{return getBigNumber(e).isInteger()}catch(e){return!1}},isFloat=e=>{try{return!getBigNumber(e).isInteger()}catch(e){return!1}},calculateSum=(e,r)=>(validateValuesArray(e,"calculateSum"),processValue(e.length>0?BigNumber.sum.apply(null,e):0,r)),calculateMin=(e,r)=>(validateValuesArray(e,"calculateMin"),processValue(e.length>0?BigNumber.min.apply(null,e):0,r)),calculateMax=(e,r)=>(validateValuesArray(e,"calculateMax"),processValue(e.length>0?BigNumber.max.apply(null,e):0,r)),calculateMean=(e,r)=>(validateValuesArray(e,"calculateMean"),e.length>0?processValue(BigNumber.sum.apply(null,e).dividedBy(e.length),r):processValue(0,r)),calculateMedian=(e,r)=>{if(validateValuesArray(e,"calculateMedian"),e.length>0){const a=Math.floor(e.length/2),t=e.map(getBigNumber).sort(sortBigNumbers("asc")),i=e.length%2?t[a]:t[a-1].plus(t[a]).dividedBy(2);return processValue(i,r)}return processValue(0,r)},calculatePercentageChange=(e,r,a)=>{const t=getBigNumber(e),i=getBigNumber(r);let u;return validatePositiveValue(t),u=i.isGreaterThan(t)?i.minus(t).dividedBy(t).times(100):t.isGreaterThan(i)?i.isGreaterThan(0)?t.minus(i).dividedBy(t).times(100).negated():getBigNumber(-100):getBigNumber(0),processValue(u,a)},adjustByPercentage=(e,r,a)=>{const t=getBigNumber(e),i=getBigNumber(r);let u;return validatePositiveValue(t),u=i.isGreaterThan(0)?i.dividedBy(100).plus(1).times(t):i.isLessThan(0)?i.isGreaterThan(-100)?i.times(-1).dividedBy(100).minus(1).times(t).times(-1):getBigNumber(0):t,processValue(u,a)},calculatePercentageRepresentation=(e,r,a)=>{const t=getBigNumber(e),i=getBigNumber(r);return validatePositiveValue(t),validatePositiveValue(i),processValue(t.times(100).dividedBy(i),a)},calculateExchange=(e,r,a)=>{const t=getBigNumber(e),i=getBigNumber(r);return validatePositiveValue(t),validatePositiveValue(i),processValue(t.dividedBy(i),a)},calculateExchangeFee=(e,r,a)=>{const t=getBigNumber(e),i=getBigNumber(r);return validatePositiveValue(t),validatePositiveValue(i,!0),processValue(i.times(e).dividedBy(100),a)},calculateWeightedEntry=(e,r)=>{if(validateValuesArray(e,"calculateWeightedEntry"),e.length){const a=[];let t=getBigNumber(0);return e.forEach((e=>{a.push(getBigNumber(e[0]).times(e[1])),t=t.plus(e[1])})),processValue(BigNumber.sum.apply(null,a).dividedBy(t),r)}return processValue(0,r)};export{getBigNumber,processValue,prettifyValue,isBigNumber,isNumber,isInteger,isFloat,calculateSum,calculateMin,calculateMax,calculateMean,calculateMedian,calculatePercentageChange,adjustByPercentage,calculatePercentageRepresentation,calculateExchange,calculateExchangeFee,calculateWeightedEntry};